> For the complete documentation index, see [llms.txt](https://docs.truvera.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.truvera.io/truvera-api/presentations.md).

# Presentations

[Credential verification](https://docs.truvera.io/truvera-workspace/verify-credentials.md) consists of [defining a verification template / proof template](https://docs.truvera.io/truvera-api/presentations/proof-templates.md), using it to generate a [proof request](https://docs.truvera.io/truvera-api/presentations/proof-requests.md), delivering the proof request to a holder, receiving the proof response from the holder's wallet, and checking that response for consistency. The Truvera API automates many of these steps for you. The REST API does not contain functions to create a verifiable presentation, as that is done through the [Wallet SDK](https://docs.truvera.io/credential-wallet/wallet-sdk.md). The open source [Truvera Credential SDK](https://github.com/docknetwork/sdk) also contains the foundational capabilities needed to create proof presentations.

Our system supports the [DIF Presentation Exchange (PEX)](https://identity.foundation/presentation-exchange/) syntax for querying and filtering credentials.

## Examples

These are a few common examples of credential verification. More examples are in the documentation for [DIF Presentation Exchange](https://identity.foundation/presentation-exchange/#input-descriptor-extensions).

#### Require a numeric attribute to be within a range

A verifier might require that the holder have an income between $100,000 and $200,000 per year. This could be requested using the following `input_descriptor`

```
{
  path: ['$.credentialSubject.income.2022.total'],
  filter: {
    type: 'number',
    minimum: 100000,
    maximum: 200000
  },
}
```

#### Require a date attribute to be within a range

A verifier might require that the credential be issued after a certain date. In this example the verifier is requiring that the credential was issued between January 1, 2020 and December 31, 2020.

```
{
  path: ['$.issuanceDate'],
  filter: {
    "type": "string",
    "format": "date",
    "formatMinimum": "2020-01-01",
    "formatMaximum": "2020-12-31"
  },
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.truvera.io/truvera-api/presentations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
